From dc81f3a097d661b699ad94e73c935ed0da81affb Mon Sep 17 00:00:00 2001
From: Xu Wei <xuwei@uniontech.com>
Date: Wed, 1 Sep 2021 13:55:31 +0800
Subject: [PATCH 1/1] kernel32/tests: Test stack overflow by DefineDosDeviceW.

Signed-off-by: Xu Wei <xuwei@uniontech.com>
---
 dlls/kernel32/tests/volume.c | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/dlls/kernel32/tests/volume.c b/dlls/kernel32/tests/volume.c
index cb35de6add1..f8e0fdc0582 100644
--- a/dlls/kernel32/tests/volume.c
+++ b/dlls/kernel32/tests/volume.c
@@ -185,6 +185,11 @@ static void test_dos_devices(void)
     ret = QueryDosDeviceA( drivestr, buf, sizeof(buf) );
     ok(!ret, "expected failure\n");
     ok(GetLastError() == ERROR_FILE_NOT_FOUND, "got error %u\n", GetLastError());
+
+    ret = DefineDosDeviceA(DDD_RAW_TARGET_PATH, "{00000001-0000-0000-0000-5E3B001A0145}", "\\Device\\{00000001-0000-0000-0000-5E3B001A0145}");
+    ok(ret, "failed to define drive %s, error %u\n", drivestr, GetLastError());
+
+    
 }
 
 static void test_FindFirstVolume(void)
-- 
2.20.1

